Skip to content

Real-time exchange rate query

  • Endpoint: POST /aggregate-pay/api/gateway/quoteQuery
  • Tags: Forex(Old)

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
dataobjectYes
data.ccyPairListarray[string]YesccyPairList must be greater than or equal to 1 and less than or equal to 25,The currency pairs in the list need USD first, and the final effect is as follows: USDIDR
data.priceTypeListarray[string]YesSupports parameter transfer BID, OFFER, default query for all
versionstringYesAPI version. Current value: 1.2
keyVersionstringYesSignature Algorithm Version, Current value: 1
requestTimestringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
appIdstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringNomaxLength: 32Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax

Example

json
{
  "version": "1.2",
  "keyVersion": "1",
  "requestTime": "2022-06-10T20:30:53.732+08:00",
  "appId": "46153e2b787241ae8b01857bb087d1bd",
  "merchantNo": "010229810189301",
  "data": {
    "ccyPairList": [
      "USDINR"
    ],
    "priceTypeList": [
      "BID",
      "OFFER"
    ]
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
dataobjectYes
data.rateListarray[object]Yes
data.rateList[].ccyPairstringNo
data.rateList[].bidRatenumberNo
data.rateList[].offerRatenumberNo
data.rateList[].rateTimestringNo
data.rateList[].versionstringNo
data.rateList[].expiryTimestringNo
codestringYesReturn code, ‘APPLY_SUCCESS’ means success
msgstringYesReturn message, ‘Success.’

Response Example

json
{
  "code": "APPLY_SUCCESS",
  "msg": "",
  "data": {
    "rateList": [
      {
        "ccyPair": "USDINR",
        "bidRate": 82.368,
        "offerRate": 82.418,
        "rateTime": "2022-01-22T10:00:00.500+08:00",
        "version": "payerMax123456",
        "expiryTime": "2022-01-22T10:30:00.500+08:00"
      }
    ]
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.